import { DecoratorInfo } from "@azure-tools/typespec-client-generator-core";
import { InputHttpOperationExample } from "./input-examples.js";
import { InputParameter } from "./input-parameter.js";
import { OperationResponse } from "./operation-response.js";
import { RequestMethod } from "./request-method.js";
export interface InputOperation {
    name: string;
    resourceName?: string;
    summary?: string;
    deprecated?: string;
    doc?: string;
    accessibility?: string;
    parameters: InputParameter[];
    responses: OperationResponse[];
    httpMethod: RequestMethod;
    uri: string;
    path: string;
    externalDocsUrl?: string;
    requestMediaTypes?: string[];
    bufferResponse: boolean;
    generateProtocolMethod: boolean;
    generateConvenienceMethod: boolean;
    examples?: InputHttpOperationExample[];
    crossLanguageDefinitionId: string;
    decorators?: DecoratorInfo[];
}
//# sourceMappingURL=input-operation.d.ts.map